## snap-aligner 0.18~1.0~beta.18+dfsg1

=== debian/changelog ===
snap-aligner (0.18~1.0~beta.18+dfsg1-2) unstable; urgency=medium

  * Drop -msse flag for wider platform compatibility
    Closes: #812376

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sun, 24 Jan 2016 01:25:27 -0800

snap-aligner (0.18~1.0~beta.18+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #800340)

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sat, 19 Sep 2015 20:20:26 -0700
