=== debian/control ===
Source: snap-aligner
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>
Build-Depends: debhelper (>= 9),
               help2man,
               zlib1g-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/snap-aligner.git
Vcs-Git: git://anonscm.debian.org/debian-med/snap-aligner.git
Homepage: http://snap.cs.berkeley.edu/

Package: snap-aligner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scalable Nucleotide Alignment Program
 SNAP is a new sequence aligner that is 3-20x faster and just as accurate as
 existing tools like BWA-mem, Bowtie2 and Novoalign. It runs on commodity x86
 processors, and supports a rich error model that lets it cheaply match reads
 with more differences from the reference than other tools. This gives SNAP up
 to 2x lower error rates than existing tools (in some cases) and lets it match
 larger mutations that they may miss. SNAP also natively reads BAM, FASTQ, or
 gzipped FASTQ, and natively writes SAM or BAM, with built-in sorting,
 duplicate marking, and BAM indexing.
