=== debian/watch ===
version=3

#upstrea uses GitHub but numbers their release in a way that I don't know how
#to de-mangle
#
#Example version number: 0.14, 0.15, 1.0beta.18, 1.0beta.19

# Uncomment to find new files on Github
#  - when using releases:
# https://github.com/#GITHUBUSER#/#PACKAGE#/releases .*/archive/#PREFIX#(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
#  - when using tags
# https://github.com/#GITHUBUSER#/#PACKAGE#/tags .*/#PREFIX#(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Remark: frequently you can do s/#PREFIX#/v?/ since 'v' or nothing is quite common but there are other prefixes possible

# if you need to repack and choose +dfsg prefix
# opts=dversionmangle=s/[~\+]dfsg[0-9]*// \
#
