## snap-aligner 1.0~beta.18+dfsg

=== debian/changelog ===
snap-aligner (1.0~beta.18+dfsg-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:58:09 +0100

snap-aligner (1.0~beta.18+dfsg-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Install NOTICE.txt of Apache licensed files
  * Propagate hardening options

  [ Liubov Chuprikova ]
  * Add missing return in a non-void function

 -- Andreas Tille <tille@debian.org>  Sun, 03 Feb 2019 12:11:59 +0100

snap-aligner (1.0~beta.18+dfsg-2) unstable; urgency=medium

  * Team upload
  * Restrict package to 64 bit architectures only
    Closes: #860652
  * Standards-Version: 4.1.2
  * Do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Thu, 21 Dec 2017 09:50:14 +0100

snap-aligner (1.0~beta.18+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New versioning scheme closer to upstream
  * d/watch:
     - Try proper version mangling
     - Repack + xz compression
  * debhelper 10
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Fri, 02 Dec 2016 20:36:12 +0100

snap-aligner (0.18~1.0~beta.18+dfsg1-4) unstable; urgency=medium

  * Build with -std=gnu++98, closes: 831138

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 05 Aug 2016 01:00:41 -0700

snap-aligner (0.18~1.0~beta.18+dfsg1-3) unstable; urgency=medium

  * Add support for kfreebsd and non-x86, thanks to Aaron M. Ucko
    <ucko@debian.org> (Closes: #812551, #812550)
  * Drop attempt at 32-bit compatibility, as per upstream we need >4GB memory
    space for real uses of this tool.

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Wed, 24 Feb 2016 13:15:12 -0800
