=== debian/control ===
Source: snap-aligner
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               help2man,
               zlib1g-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/snap-aligner
Vcs-Git: https://salsa.debian.org/med-team/snap-aligner.git
Homepage: http://snap.cs.berkeley.edu/

Package: snap-aligner
Architecture: amd64 arm64 mips64el ppc64el alpha kfreebsd-amd64 ppc64 sparc64
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Scalable Nucleotide Alignment Program
 SNAP is a new sequence aligner that is 3-20x faster and just as accurate as
 existing tools like BWA-mem, Bowtie2 and Novoalign. It runs on commodity x86
 processors, and supports a rich error model that lets it cheaply match reads
 with more differences from the reference than other tools. This gives SNAP up
 to 2x lower error rates than existing tools (in some cases) and lets it match
 larger mutations that they may miss. SNAP also natively reads BAM, FASTQ, or
 gzipped FASTQ, and natively writes SAM or BAM, with built-in sorting,
 duplicate marking, and BAM indexing.
