=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,21 @@
 #!/usr/bin/make -f
 
-DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
-VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+include /usr/share/dpkg/default.mk
+VERSION        := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/+dfsg//')
+
+CXXFLAGS := -std=gnu++98
+export CXXFLAGS
+
 %:
 	dh $@
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test
 	./unit_tests
+endif
 
 override_dh_auto_build:
 	dh_auto_build
