## snap-aligner 1.0.0+dfsg

=== debian/changelog ===
snap-aligner (1.0.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 11:29:05 +0200

snap-aligner (1.0.0+dfsg-2) unstable; urgency=medium

  * debian/rules: The file in the examples folder with the incorrect execute
    bit is from the debian/ directory, so fix the permission there instead of
    the hack previously used.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 29 Nov 2020 10:24:29 +0100

snap-aligner (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Freshen patches.
  * debian/docs: Update filename of the manual
  * debian/control: try building on s390x and riscv64
  * Enable building on non-x86 systems via libsimde-dev
  * debian/patches/fix_segfault: patch from upstream to fix a segfault I found
    during testing.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 29 Nov 2020 08:44:51 +0100

snap-aligner (1.0~beta.18+dfsg-4) unstable; urgency=medium

  [ Steffen Moeller ]
  * d/u/metadata: yamllint

  [ Pranav Ballaney ]
  * Install example and reference data
  * Add autopkgtests
  * Install docs
  * Add Pranav Ballaney to Uploaders

  [ Michael R. Crusoe ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse
  * Fixed another spelling error

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 09 Jul 2020 11:00:43 +0200
