=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: snap-aligner
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
+Uploaders: Michael R. Crusoe <crusoe@debian.org>,
+           Pranav Ballaney <ballaneypranav@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                help2man,
-               zlib1g-dev
-Standards-Version: 4.3.0
+               zlib1g-dev,
+               libsimde-dev
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/snap-aligner
 Vcs-Git: https://salsa.debian.org/med-team/snap-aligner.git
 Homepage: http://snap.cs.berkeley.edu/
+Rules-Requires-Root: no
 
 Package: snap-aligner
-Architecture: amd64 arm64 mips64el ppc64el alpha kfreebsd-amd64 ppc64 sparc64
+Architecture: amd64 arm64 mips64el ppc64el s390x alpha kfreebsd-amd64 ppc64 riscv64 sparc64
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: Scalable Nucleotide Alignment Program
