=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz,uversionmangle=s/beta/~beta/" \
  https://github.com/amplab/snap/releases .*/v(\d[-\d.beta]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
