## snap-aligner 2.0.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                help2man,
                zlib1g-dev,
                libsimde-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/snap-aligner
 Vcs-Git: https://salsa.debian.org/med-team/snap-aligner.git
-Homepage: http://snap.cs.berkeley.edu/
+Homepage: https://snap.cs.berkeley.edu/
 Rules-Requires-Root: no
 
 Package: snap-aligner
