## snap-aligner 2.0.2+dfsg

=== debian/changelog ===
snap-aligner (2.0.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * d/watch:
     - Use tags instead of releases
     - Add filenamemangle option
  * Standards-Version: 4.6.2 (routine-update)
  * Use secure URI in Homepage field.
  * Update comparison files of autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 01 Feb 2023 20:24:38 +0100
