## snap-aligner 2.0.3+dfsg

=== debian/changelog ===
snap-aligner (2.0.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add loong64 to list of architectures
    Closes: #1050330, #1059989

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jan 2024 21:49:06 +0100

snap-aligner (2.0.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove program version from reference file to not being forced to
    adapt the reference for every new release

 -- Andreas Tille <tille@debian.org>  Thu, 24 Aug 2023 11:17:57 +0200
