## snap-aligner 2.0.5+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 ifndef CXXFLAGS
-  CXXFLAGS = -O3 -Wno-format
+  CXXFLAGS = -O3 -Wno-format -std=c++98
+  #CXXFLAGS = -g -O0 -Wno-format -std=c++98
 endif
 
 CXXFLAGS += -MMD -ISNAPLib -msse
@@ -23,6 +24,11 @@
 
 ifeq ($(UNAME), Darwin)
   LIBS += -lz
+endif
+
+ifneq ($(STATIC),)
+  STATIC_GCC=-static-libgcc -static-libstdc++
+  LIBS += $(STATIC_GCC)
 endif
 
 CXX = g++
