=== debian/changelog ===
snap-aligner (2.0.5+dfsg-1) unstable; urgency=medium

  * d/control: simplify architecture specification via the provisions
    from the architecture-properties package.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Refreshed patches.
  * Added patch to fix typo.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 05 Sep 2025 13:52:21 +0200
