=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               architecture-is-64-bit,
                help2man,
                zlib1g-dev,
                libsimde-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/snap-aligner
 Vcs-Git: https://salsa.debian.org/med-team/snap-aligner.git
 Homepage: https://snap.cs.berkeley.edu/
 Rules-Requires-Root: no
 
 Package: snap-aligner
-Architecture: amd64 arm64 mips64el ppc64el s390x alpha kfreebsd-amd64 ppc64 riscv64 sparc64 loong64
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: Scalable Nucleotide Alignment Program
