=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,7 @@
 include /usr/share/dpkg/default.mk
 VERSION        := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/+dfsg//')
 
-CXXFLAGS := -std=gnu++98
-export CXXFLAGS
+export DEB_CXXFLAGS_MAINT_APPEND=-std=gnu++98 -O3 -fopenmp-simd -DSIMDE_ENABLE_OPENMP
 
 %:
 	dh $@
