=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,uversionmangle=s/beta/~beta/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/amplab/snap/tags .*/v(\d[-\d.beta]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
